【活用ガイド】

[English]

JVNDB-2015-000197

Zend Framework における SQL インジェクションの脆弱性

概要

Zend Framework は、オープンソースのウェブアプリケーションフレームワークです。Zend Framework には、ORDER BY 句の引数の処理に起因する SQL インジェクション (CWE-89) の脆弱性が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: HASHコンサルティング株式会社 徳丸 浩 氏

CVSS による深刻度 (CVSS とは?)

基本値: 6.8 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

[参考] CVSS v3 による深刻度
基本値: 5.6 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 高
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): 低
  • 完全性への影響(I): 低
  • 可用性への影響(A): 低
影響を受けるシステム


Zend Technologies Ltd.
  • Zend Framework 1.12.7 およびそれ以前

想定される影響

当該製品にアクセス可能な第三者によって、任意の SQL 文を実行される可能性があります。
対策

[アップデートする]
開発者が提供する情報をもとに、最新版へアップデートしてください。
本脆弱性は、2014 年 8 月 26 日に修正されています。
ベンダ情報

Zend Technologies Ltd.
CWEによる脆弱性タイプ一覧  CWEとは?

  1. SQLインジェクション(CWE-89) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2014-4914
参考情報

  1. JVN : JVN#71730320
更新履歴

[2015年12月11日]
  掲載